package com.composition.android.lib.ad.basic

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:广告类型
 */
enum class AdType(name : String) {

    /**
     * 开屏广告
     */
    APP_OPEN("AppOpen"),

    /**
     * 横幅广告
     */
    BANNER("Banner"),

    /**
     * 原生自填充广告
     */
    NATIVE("Native"),

    /**
     * 原生模板广告，类似于横幅广告，不需要自己填充内容
     */
    NATIVE_TEMPLATE("NativeTemplate"),

    /**
     * 插屏广告
     */
    INTERSTITIAL("Interstitial"),

    /**
     * 激励视频广告
     */
    REWARDED_VIDEO("RewardedVideo"),

    /**
     * 激励插屏广告
     */
    REWARDED_INTERSTITIAL("RewardedInterstitial"),

    /**
     * 未知
     */
    UNKNOWN("Unknown")
}